const { baseUrl } = require('./env').prod
module.exports = {
    request : function(url, type , data = {}){
    let fullUrl = `${baseUrl}${url}`
    var token = wx.getStorageSync('token')
    return new Promise((resolve,reject)=>{
      wx.request({url: fullUrl,method:type,data,header: {'content-type': 'application/json','Authorization': token},
        success(res){resolve(res)},
        fail(){
          wx.showToast({
            title: '接口请求错误',
            icon:'none'
          })
          reject('接口请求错误')
        }
      })
    })
  },
}